# $Id: smeserver-phpldapadmin.spec,v 1.7 2021/06/01 18:01:48 jpp Exp $
# Authority: nocvs
# Name: Michel Van hees
%define phpversion 74
# if empty set to %{nil} 

Summary: PhpLdapAdmin for SME server
%define name smeserver-phpldapadmin
Name: %{name}
%define version 1.5.0
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
#{name}-%{version}.patch.yyyymmddnn
Patch0: smeserver-phpldapadmin-1.5.0-bz11611.patch
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 10
Requires: phpldapadmin >= 1.2.5
Requires: php74-php-pecl-mcrypt
AutoReqProv: no

%changelog
* Tue Jun 01 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.5.0-3.sme
- Initial release to contribs10 [SME: 11611]

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-2.sme
- Initial release to contribs9

* Sat Jun 21 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-1.sme
- Initial release to sme9

* Wed Nov 6 2013 JP Pialasse <tests@pialasse.com> 1.2.3-6.sme
- fix bug [SME: 5762]
- default admin read only but kamikaze mod for root modify access.

* Mon Nov 4 2013 JP Pialasse <tests@pialasse.com> 1.2.3-4.sme
- wrong template path for config file [SME: 7975]
- patching also incorrect template.
- error binding to server swith to http auth to prevent

* Sun May 26 2013 JP Pialasse <tests@pialasse.com> 1.2.3-1.sme
- remove phpldapadmin from package
- added Requires phpldapadmin-1.2.3-1
- clean spec file
- added default db value (patch file)

* Thu Jun  26 2007 Michel Van hees <michel@vanhees.cc>
- Restart contrib from scratch
- Use of phpldapadmin 0.9.8.3

%description
SME server - phpmyadmin multiuser for smeserver

%prep
%setup
%patch0 -p1
mkdir -p root/var/lib/php/phpldapadmin/{tmp,opcache,session,wsdlcache}
mkdir -p root/var/log/php/phpldapadmin

%build
find . -type f | xargs grep -l ____PHPVERSION____ | xargs sed -i -e 's/____PHPVERSION____/%{phpversion}/g'
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/lib/php/phpldapadmin/ 'attr(0755,root,www)' \
    --dir /var/lib/php/phpldapadmin/tmp 'attr(0770,www,www)' \
    --dir /var/lib/php/phpldapadmin/opcache 'attr(0770,www,www)' \
    --dir /var/lib/php/phpldapadmin/session 'attr(0770,www,www)' \
    --dir /var/lib/php/phpldapadmin/wsdlcache 'attr(0770,www,www)' \
    --dir /var/log/php/phpldapadmin  'attr(0770,root,www)' \
        > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
